Bug 1889275 - The sctp validation phase fails if there is at least one machine config configured with no raw config (i.e. machine configs containing only kernel arguments)
Summary: The sctp validation phase fails if there is at least one machine config confi...
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: CNF Platform Validation
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.7.0
Assignee: Federico Paolinelli
QA Contact: Nikita
URL:
Whiteboard:
Depends On:
Blocks: 1889744 1889276
TreeView+ depends on / blocked
 
Reported: 2020-10-19 08:54 UTC by Yurii Prokulevych
Modified: 2020-11-02 10:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Known Issue
Doc Text:
Cause: Any machine config configured with no raw config makes the sctp validation step fail. Consequence: The validation step fails. Workaround (if any): Delete the offending machine config, change it with a dummy config value or skip the sctp tests using the ginkgo.skip parameter. Result:
Clone Of:
: 1889276 (view as bug list)
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift-kni cnf-features-deploy pull 342 None closed Bug 1889275: When looking for the mc that enables sctp, skip if the raw config is empty 2020-11-23 06:42:12 UTC

Description Yurii Prokulevych 2020-10-19 08:54:17 UTC
Description of problem:
-----------------------
Running cnf tests fails during sctp validation:

Running Suite: CNF Features e2e validation
==========================================
Random Seed: 1603097335
Will run 2 of 17 specs

SSSSSSSSSSS
------------------------------
validation sctp
  should have a sctp enable machine config
  /go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:211

• Failure [0.075 seconds]
validation
/go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:39
  sctp
  /go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:171
    should have a sctp enable machine config [It]
    /go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:211

    Unexpected error:
        <*json.SyntaxError | 0xc000338600>: {
            msg: "unexpected end of JSON input",
            Offset: 0,
        }
        unexpected end of JSON input
    occurred

    /go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:176

------------------------------
validation sctp
  should have the sctp enable machine config as part of the CNF machine config pool
  /go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:219

• Failure [0.076 seconds]
validation
/go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:39
  sctp
  /go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:171
    should have the sctp enable machine config as part of the CNF machine config pool [It]
    /go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:219

    Unexpected error:
        <*json.SyntaxError | 0xc000379ca0>: {
            msg: "unexpected end of JSON input",
            Offset: 0,
        }
        unexpected end of JSON input
    occurred

    /go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:176
------------------------------
SSSS
JUnit report was created: /junit/validation_junit.xml


Summarizing 2 Failures:

[Fail] validation sctp [It] should have a sctp enable machine config
/go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:176

[Fail] validation sctp [It] should have the sctp enable machine config as part of the CNF machine config pool
/go/src/github.com/openshift-kni/cnf-features-deploy/validationsuite/cluster/validation.go:176

Ran 2 of 17 Specs in 0.151 seconds
FAIL! -- 0 Passed | 2 Failed | 0 Pending | 15 Skipped
--- FAIL: TestTest (0.15s)
FAIL

Version-Release number of selected component (if applicable):
-------------------------------------------------------------
4.6.0-0.nightly-2020-10-08-210814
cnf-tests sha( /usr/local/etc/cnf/cnftests-sha.txt) e7ba3cb2d32cbb8d2c8b13a1283257659a36c951


How reproducible:
-----------------
100%

Steps to Reproduce:
-------------------
1. Run containerised tests against existing 4.6 clusters for sctp feature
podman run --name yp-cnf-container-tests \
  -v /home/yp-cnf-tests/:/kubeconfig:Z \
  -v /home/yp-cnf-tests/junit:/junit:Z \
  -v /home/yp-cnf-tests/report:/report:Z \
  -e KUBECONFIG=/kubeconfig/kubeconfig \ 
  -e IMAGE_REGISTRY=registry.my.example.com:5000 \
  quay.io/openshift-kni/cnf-tests:4.6 /usr/bin/test-run.sh  \
  --junit /junit -ginkgo.v -ginkgo.focus="sctp"


Actual results:
---------------
Validation failed


Expected results:
-----------------
Validation passes and tests are executed

Comment 1 Federico Paolinelli 2020-10-19 08:56:17 UTC
The offending MC is 

apiVersion: machineconfiguration.openshift.io/v1
kind: MachineConfig
metadata:
  annotations:
    kubectl.kubernetes.io/last-applied-configuration: |
      {"apiVersion":"machineconfiguration.openshift.io/v1","kind":"MachineConfig","metadata":{"annotations":{},"labels":{"machineconfiguration.openshift.io/role":"worker-lb"},"name":"99-worker-lb-disable-smt"},"spec":{"kernelArguments":["nosmt"]}}
  creationTimestamp: "2020-10-12T07:50:13Z"
  generation: 1
  labels:
    machineconfiguration.openshift.io/role: worker-lb
  managedFields:
  - apiVersion: machineconfiguration.openshift.io/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:kubectl.kubernetes.io/last-applied-configuration: {}
        f:labels:
          .: {}
          f:machineconfiguration.openshift.io/role: {}
      f:spec:
        .: {}
        f:kernelArguments: {}
    manager: kubectl-client-side-apply
    operation: Update
    time: "2020-10-12T07:50:13Z"
  name: 99-worker-lb-disable-smt
  resourceVersion: "1390127"
  selfLink: /apis/machineconfiguration.openshift.io/v1/machineconfigs/99-worker-lb-disable-smt
  uid: 93e2faa6-64b1-468f-8b81-a2b51ceb0cbb
spec:
  kernelArguments:
  - nosmt

This happens if the cluster has (at least) one machine config with no config section.

Comment 3 or marziano 2020-11-02 10:56:42 UTC
I tested with a machine config like the one in Federico's comment(a machine config with no config in spec other than kernelArguments)
Bug is Verified and is not reproducible anymore

Technical Details:
------------------
CNF_TESTS_IMAGE=openshift4-cnf-tests:v4.7.0-1
IMAGE_REGISTRY=registry-proxy.engineering.redhat.com/rh-osbs
Client Version: 4.6.0-202005061824-29e9a33
Server Version: 4.6.0-rc.4
Kubernetes Version: v1.19.0+d59ce34


Note You need to log in before you can comment on or make changes to this bug.